Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Thu, 22 Oct 2015 18:22:43 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 22 Oct 2015 16:28:27 +0200
>> 
>> > Please update from the Git repository and recompile before you
>> > continue on Monday.  I've committed the above change, and also made a
>> > couple of other changes, and hope those changes will fix the crashes.
>> 
>> Done so, and I have another crash, although I am not sure if it is the
>> same. I attach the log and the session is still open.
>
> That seems like an entirely different crash.

That is good to know - I was using emacs for quite some time and no crash.
Would it be possible to backport the changes which caused this error to
the 24 branch?

> Can you see what caused
> it (is emacsframe a NULL pointer or something?), and also show a
> backtrace?

Is this the info you are looking for: I am using emacs almost
exclusively in full-screen view.

,----
| (gdb) bt
| #0  0x0000000100347ccc in -[EmacsView updateFrameSize:] (self=0x10106e9b0, _cmd=0x1003ea975, delay=1 '\001') at nsterm.m:5970
| #1  0x0000000100348c05 in -[EmacsView windowDidResize:] (self=0x10106e9b0, _cmd=0x7fff8dcc673d, notification=0x1411ed2e0) at nsterm.m:6124
| #2  0x00007fff94b73a0c in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
| #3  0x00007fff5fbf7d60 in ?? ()
| #4  0x00007fff94b7399f in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
| #5  0x0000000000000000 in ?? ()
| (gdb) bt full
| #0  0x0000000100347ccc in -[EmacsView updateFrameSize:] (self=0x10106e9b0, _cmd=0x1003ea975, delay=1 '\001') at nsterm.m:5970
|         window = 0x10106f320
|         wr = {origin = {x = -608, y = 912}, size = {width = 2558, height = 1461}}
|         extra = 0
|         oldc = 315
|         oldr = 77
|         oldw = 2560
|         oldh = 1440
|         neww = -1715077359
|         newh = 32767
| #1  0x0000000100348c05 in -[EmacsView windowDidResize:] (self=0x10106e9b0, _cmd=0x7fff8dcc673d, notification=0x1411ed2e0) at nsterm.m:6124
| No locals.
| #2  0x00007fff94b73a0c in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
| No symbol table info available.
| #3  0x00007fff5fbf7d60 in ?? ()
| No symbol table info available.
| #4  0x00007fff94b7399f in ?? () from /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
| No symbol table info available.
| #5  0x0000000000000000 in ?? ()
| No symbol table info available.
| (gdb) p emacsframe
| [New Thread 0x1687 of process 77890]
| [New Thread 0x1d8b of process 77890]
| $528 = (struct frame *) 0x13d8001003fc013
| (gdb)
`----

I'll leave the session open for further questions.

Rainer

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982